View Issue Details

IDProjectCategoryView StatusLast Update
0029890LazarusLazReportpublic2016-04-01 09:51
ReporterGáborAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86, x86_64OSWindows (Linux)OS Version7/8/10
Product Version1.6Product Build 
Target Version1.6.2Fixed in Version1.7 (SVN) 
Summary0029890: LazReport Memo field word wrap is false at rotate
DescriptionLazReport Memo field word wrap is false at rotate (Memo: angle=90)
It was correct In version 1.4.4 of Lazarus.
At rotate, it works uncorrectly at word wrap. The text flows out from the Memo field border and make inexplicable word breakings.

More details:
http://forum.lazarus.freepascal.org/index.php/topic,32058.0.html
TagsNo tags attached.
Fixed in Revision52095
LazTarget1.6.2
WidgetsetWin32/Win64
Attached Files

Activities

Jesus Reyes

2016-03-30 20:05

developer  

wrap_laz14.png (8,196 bytes)
wrap_laz14.png (8,196 bytes)

Jesus Reyes

2016-03-30 20:05

developer  

wrap_problem.png (7,201 bytes)
wrap_problem.png (7,201 bytes)

Jesus Reyes

2016-03-30 20:06

developer   ~0091603

Please, attach a (simple) sample report that works in 1.4.4 but it doesn't in 1.6

Gábor

2016-03-31 08:39

reporter  

report_demo.zip (134,937 bytes)

Gábor

2016-03-31 08:41

reporter   ~0091608

I attached a 'report_demo' app. It contains the source code and 2 pdf files (generated by PDFCreator).

report_demo_laz1_4.pdf <-- compiled by Lazarus 1.4.4 EXE was printed
report_demo_laz1_6.pdf <-- compiled by Lazarus 1.6 EXE was printed

Jesus Reyes

2016-03-31 20:01

developer   ~0091621

Indeed, it was a regression. Fixed please test.

Gábor

2016-04-01 09:51

reporter   ~0091628

It seems it works correct in version 1.7 SVN of Lazarus.

Issue History

Date Modified Username Field Change
2016-03-24 20:51 Gábor New Issue
2016-03-24 21:40 Jesus Reyes Assigned To => Jesus Reyes
2016-03-24 21:40 Jesus Reyes Status new => assigned
2016-03-30 20:05 Jesus Reyes File Added: wrap_laz14.png
2016-03-30 20:05 Jesus Reyes File Added: wrap_problem.png
2016-03-30 20:06 Jesus Reyes LazTarget => -
2016-03-30 20:06 Jesus Reyes Note Added: 0091603
2016-03-30 20:06 Jesus Reyes Status assigned => feedback
2016-03-31 08:39 Gábor File Added: report_demo.zip
2016-03-31 08:41 Gábor Note Added: 0091608
2016-03-31 08:41 Gábor Status feedback => assigned
2016-03-31 20:01 Jesus Reyes Fixed in Revision => 52095
2016-03-31 20:01 Jesus Reyes LazTarget - => 1.6.2
2016-03-31 20:01 Jesus Reyes Note Added: 0091621
2016-03-31 20:01 Jesus Reyes Status assigned => resolved
2016-03-31 20:01 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-03-31 20:01 Jesus Reyes Resolution open => fixed
2016-03-31 20:01 Jesus Reyes Target Version => 1.6.2
2016-04-01 09:51 Gábor Note Added: 0091628